package de.ugoe.cs.eventbench.web.data;

import java.util.ArrayList;
import java.util.List;

import de.ugoe.cs.eventbench.data.IReplayable;

public class WebRequest implements IReplayable {

	/**
	 * Id for object serialization.
	 */
	private static final long serialVersionUID = 1L;

	List<String> postVars;
	
	String targetUri;
	
	public WebRequest(String uri, List<String> postVars) {
		targetUri = uri;
		this.postVars = new ArrayList<String>(postVars); // defensive copy
	}
	
	@Override
	public String getReplay() {
		// TODO implement method
		return null;
	}

	@Override
	public String getTarget() {
		// TODO implement method
		return null;
	}

}
